/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2020 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.maki2;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum Maki2 implements Ikon {
    AERIALWAY_11("maki2-aerialway-11", '\ue900'),
    AERIALWAY_15("maki2-aerialway-15", '\ue901'),
    AIRFIELD_11("maki2-airfield-11", '\ue902'),
    AIRFIELD_15("maki2-airfield-15", '\ue903'),
    AIRPORT_11("maki2-airport-11", '\ue904'),
    AIRPORT_15("maki2-airport-15", '\ue905'),
    ALCOHOL_SHOP_11("maki2-alcohol-shop-11", '\ue906'),
    ALCOHOL_SHOP_15("maki2-alcohol-shop-15", '\ue907'),
    AMERICAN_FOOTBALL_11("maki2-american-football-11", '\ue908'),
    AMERICAN_FOOTBALL_15("maki2-american-football-15", '\ue909'),
    AMUSEMENT_PARK_11("maki2-amusement-park-11", '\ue90a'),
    AMUSEMENT_PARK_15("maki2-amusement-park-15", '\ue90b'),
    AQUARIUM_11("maki2-aquarium-11", '\ue90c'),
    AQUARIUM_15("maki2-aquarium-15", '\ue90d'),
    ART_GALLERY_11("maki2-art-gallery-11", '\ue90e'),
    ART_GALLERY_15("maki2-art-gallery-15", '\ue90f'),
    ATTRACTION_11("maki2-attraction-11", '\ue910'),
    ATTRACTION_15("maki2-attraction-15", '\ue911'),
    BAKERY_11("maki2-bakery-11", '\ue912'),
    BAKERY_15("maki2-bakery-15", '\ue913'),
    BANK_11("maki2-bank-11", '\ue914'),
    BANK_15("maki2-bank-15", '\ue915'),
    BANK_JP_11("maki2-bank-JP-11", '\ue916'),
    BANK_JP_15("maki2-bank-JP-15", '\ue917'),
    BARRIER_11("maki2-barrier-11", '\ue91a'),
    BARRIER_15("maki2-barrier-15", '\ue91b'),
    BAR_11("maki2-bar-11", '\ue918'),
    BAR_15("maki2-bar-15", '\ue919'),
    BASEBALL_11("maki2-baseball-11", '\ue91c'),
    BASEBALL_15("maki2-baseball-15", '\ue91d'),
    BASKETBALL_11("maki2-basketball-11", '\ue91e'),
    BASKETBALL_15("maki2-basketball-15", '\ue91f'),
    BBQ_11("maki2-bbq-11", '\ue920'),
    BBQ_15("maki2-bbq-15", '\ue921'),
    BEACH_11("maki2-beach-11", '\ue922'),
    BEACH_15("maki2-beach-15", '\ue923'),
    BEER_11("maki2-beer-11", '\ue924'),
    BEER_15("maki2-beer-15", '\ue925'),
    BICYCLE_11("maki2-bicycle-11", '\ue926'),
    BICYCLE_15("maki2-bicycle-15", '\ue927'),
    BICYCLE_SHARE_11("maki2-bicycle-share-11", '\ue928'),
    BICYCLE_SHARE_15("maki2-bicycle-share-15", '\ue929'),
    BLOOD_BANK_11("maki2-blood-bank-11", '\ue92a'),
    BLOOD_BANK_15("maki2-blood-bank-15", '\ue92b'),
    BOWLING_ALLEY_11("maki2-bowling-alley-11", '\ue92c'),
    BOWLING_ALLEY_15("maki2-bowling-alley-15", '\ue92d'),
    BRIDGE_11("maki2-bridge-11", '\ue92e'),
    BRIDGE_15("maki2-bridge-15", '\ue92f'),
    BUILDING_11("maki2-building-11", '\ue930'),
    BUILDING_15("maki2-building-15", '\ue931'),
    BUILDING_ALT1_11("maki2-building-alt1-11", '\ue932'),
    BUILDING_ALT1_15("maki2-building-alt1-15", '\ue933'),
    BUS_11("maki2-bus-11", '\ue934'),
    BUS_15("maki2-bus-15", '\ue935'),
    CAFE_11("maki2-cafe-11", '\ue936'),
    CAFE_15("maki2-cafe-15", '\ue937'),
    CAMPSITE_11("maki2-campsite-11", '\ue938'),
    CAMPSITE_15("maki2-campsite-15", '\ue939'),
    CAR_11("maki2-car-11", '\ue93a'),
    CAR_15("maki2-car-15", '\ue93b'),
    CAR_RENTAL_11("maki2-car-rental-11", '\ue93c'),
    CAR_RENTAL_15("maki2-car-rental-15", '\ue93d'),
    CAR_REPAIR_11("maki2-car-repair-11", '\ue93e'),
    CAR_REPAIR_15("maki2-car-repair-15", '\ue93f'),
    CASINO_11("maki2-casino-11", '\ue940'),
    CASINO_15("maki2-casino-15", '\ue941'),
    CASTLE_11("maki2-castle-11", '\ue942'),
    CASTLE_15("maki2-castle-15", '\ue943'),
    CASTLE_JP_11("maki2-castle-JP-11", '\ue944'),
    CASTLE_JP_15("maki2-castle-JP-15", '\ue945'),
    CEMETERY_11("maki2-cemetery-11", '\ue946'),
    CEMETERY_15("maki2-cemetery-15", '\ue947'),
    CEMETERY_JP_11("maki2-cemetery-JP-11", '\ue948'),
    CEMETERY_JP_15("maki2-cemetery-JP-15", '\ue949'),
    CHARGING_STATION_11("maki2-charging-station-11", '\ue94a'),
    CHARGING_STATION_15("maki2-charging-station-15", '\ue94b'),
    CINEMA_11("maki2-cinema-11", '\ue94c'),
    CINEMA_15("maki2-cinema-15", '\ue94d'),
    CIRCLE_11("maki2-circle-11", '\ue94e'),
    CIRCLE_15("maki2-circle-15", '\ue94f'),
    CIRCLE_STROKED_11("maki2-circle-stroked-11", '\ue950'),
    CIRCLE_STROKED_15("maki2-circle-stroked-15", '\ue951'),
    CITY_11("maki2-city-11", '\ue952'),
    CITY_15("maki2-city-15", '\ue953'),
    CLOTHING_STORE_11("maki2-clothing-store-11", '\ue954'),
    CLOTHING_STORE_15("maki2-clothing-store-15", '\ue955'),
    COLLEGE_11("maki2-college-11", '\ue956'),
    COLLEGE_15("maki2-college-15", '\ue957'),
    COLLEGE_JP_11("maki2-college-JP-11", '\ue958'),
    COLLEGE_JP_15("maki2-college-JP-15", '\ue959'),
    COMMERCIAL_11("maki2-commercial-11", '\ue95a'),
    COMMERCIAL_15("maki2-commercial-15", '\ue95b'),
    COMMUNICATIONS_TOWER_11("maki2-communications-tower-11", '\ue95c'),
    COMMUNICATIONS_TOWER_15("maki2-communications-tower-15", '\ue95d'),
    CONFECTIONERY_11("maki2-confectionery-11", '\ue95e'),
    CONFECTIONERY_15("maki2-confectionery-15", '\ue95f'),
    CONVENIENCE_11("maki2-convenience-11", '\ue960'),
    CONVENIENCE_15("maki2-convenience-15", '\ue961'),
    CRICKET_11("maki2-cricket-11", '\ue962'),
    CRICKET_15("maki2-cricket-15", '\ue963'),
    CROSS_11("maki2-cross-11", '\ue964'),
    CROSS_15("maki2-cross-15", '\ue965'),
    DAM_11("maki2-dam-11", '\ue966'),
    DAM_15("maki2-dam-15", '\ue967'),
    DANGER_11("maki2-danger-11", '\ue968'),
    DANGER_15("maki2-danger-15", '\ue969'),
    DEFIBRILLATOR_11("maki2-defibrillator-11", '\ue96a'),
    DEFIBRILLATOR_15("maki2-defibrillator-15", '\ue96b'),
    DENTIST_11("maki2-dentist-11", '\ue96c'),
    DENTIST_15("maki2-dentist-15", '\ue96d'),
    DOCTOR_11("maki2-doctor-11", '\ue96e'),
    DOCTOR_15("maki2-doctor-15", '\ue96f'),
    DOG_PARK_11("maki2-dog-park-11", '\ue970'),
    DOG_PARK_15("maki2-dog-park-15", '\ue971'),
    DRINKING_WATER_11("maki2-drinking-water-11", '\ue972'),
    DRINKING_WATER_15("maki2-drinking-water-15", '\ue973'),
    EMBASSY_11("maki2-embassy-11", '\ue974'),
    EMBASSY_15("maki2-embassy-15", '\ue975'),
    EMERGENCY_PHONE_11("maki2-emergency-phone-11", '\ue976'),
    EMERGENCY_PHONE_15("maki2-emergency-phone-15", '\ue977'),
    ENTRANCE_11("maki2-entrance-11", '\ue978'),
    ENTRANCE_15("maki2-entrance-15", '\ue979'),
    ENTRANCE_ALT1_11("maki2-entrance-alt1-11", '\ue97a'),
    ENTRANCE_ALT1_15("maki2-entrance-alt1-15", '\ue97b'),
    FARM_11("maki2-farm-11", '\ue97c'),
    FARM_15("maki2-farm-15", '\ue97d'),
    FAST_FOOD_11("maki2-fast-food-11", '\ue97e'),
    FAST_FOOD_15("maki2-fast-food-15", '\ue97f'),
    FENCE_11("maki2-fence-11", '\ue980'),
    FENCE_15("maki2-fence-15", '\ue981'),
    FERRY_11("maki2-ferry-11", '\ue982'),
    FERRY_15("maki2-ferry-15", '\ue983'),
    FIRE_STATION_11("maki2-fire-station-11", '\ue984'),
    FIRE_STATION_15("maki2-fire-station-15", '\ue985'),
    FIRE_STATION_JP_11("maki2-fire-station-JP-11", '\ue986'),
    FIRE_STATION_JP_15("maki2-fire-station-JP-15", '\ue987'),
    FITNESS_CENTRE_11("maki2-fitness-centre-11", '\ue988'),
    FITNESS_CENTRE_15("maki2-fitness-centre-15", '\ue989'),
    FLORIST_11("maki2-florist-11", '\ue98a'),
    FLORIST_15("maki2-florist-15", '\ue98b'),
    FUEL_11("maki2-fuel-11", '\ue98c'),
    FUEL_15("maki2-fuel-15", '\ue98d'),
    FURNITURE_11("maki2-furniture-11", '\ue98e'),
    FURNITURE_15("maki2-furniture-15", '\ue98f'),
    GAMING_11("maki2-gaming-11", '\ue990'),
    GAMING_15("maki2-gaming-15", '\ue991'),
    GARDEN_11("maki2-garden-11", '\ue992'),
    GARDEN_15("maki2-garden-15", '\ue993'),
    GARDEN_CENTRE_11("maki2-garden-centre-11", '\ue994'),
    GARDEN_CENTRE_15("maki2-garden-centre-15", '\ue995'),
    GIFT_11("maki2-gift-11", '\ue996'),
    GIFT_15("maki2-gift-15", '\ue997'),
    GLOBE_11("maki2-globe-11", '\ue998'),
    GLOBE_15("maki2-globe-15", '\ue999'),
    GOLF_11("maki2-golf-11", '\ue99a'),
    GOLF_15("maki2-golf-15", '\ue99b'),
    GROCERY_11("maki2-grocery-11", '\ue99c'),
    GROCERY_15("maki2-grocery-15", '\ue99d'),
    HAIRDRESSER_11("maki2-hairdresser-11", '\ue99e'),
    HAIRDRESSER_15("maki2-hairdresser-15", '\ue99f'),
    HARBOR_11("maki2-harbor-11", '\ue9a0'),
    HARBOR_15("maki2-harbor-15", '\ue9a1'),
    HARDWARE_11("maki2-hardware-11", '\ue9a2'),
    HARDWARE_15("maki2-hardware-15", '\ue9a3'),
    HEART_11("maki2-heart-11", '\ue9a4'),
    HEART_15("maki2-heart-15", '\ue9a5'),
    HELIPORT_11("maki2-heliport-11", '\ue9a6'),
    HELIPORT_15("maki2-heliport-15", '\ue9a7'),
    HOME_11("maki2-home-11", '\ue9a8'),
    HOME_15("maki2-home-15", '\ue9a9'),
    HORSE_RIDING_11("maki2-horse-riding-11", '\ue9aa'),
    HORSE_RIDING_15("maki2-horse-riding-15", '\ue9ab'),
    HOSPITAL_11("maki2-hospital-11", '\ue9ac'),
    HOSPITAL_15("maki2-hospital-15", '\ue9ad'),
    HOSPITAL_JP_11("maki2-hospital-JP-11", '\ue9ae'),
    HOSPITAL_JP_15("maki2-hospital-JP-15", '\ue9af'),
    ICE_CREAM_11("maki2-ice-cream-11", '\ue9b0'),
    ICE_CREAM_15("maki2-ice-cream-15", '\ue9b1'),
    INDUSTRY_11("maki2-industry-11", '\ue9b2'),
    INDUSTRY_15("maki2-industry-15", '\ue9b3'),
    INFORMATION_11("maki2-information-11", '\ue9b4'),
    INFORMATION_15("maki2-information-15", '\ue9b5'),
    JEWELRY_STORE_11("maki2-jewelry-store-11", '\ue9b6'),
    JEWELRY_STORE_15("maki2-jewelry-store-15", '\ue9b7'),
    KARAOKE_11("maki2-karaoke-11", '\ue9b8'),
    KARAOKE_15("maki2-karaoke-15", '\ue9b9'),
    LANDMARK_11("maki2-landmark-11", '\ue9ba'),
    LANDMARK_15("maki2-landmark-15", '\ue9bb'),
    LANDMARK_JP_11("maki2-landmark-JP-11", '\ue9bc'),
    LANDMARK_JP_15("maki2-landmark-JP-15", '\ue9bd'),
    LANDUSE_11("maki2-landuse-11", '\ue9be'),
    LANDUSE_15("maki2-landuse-15", '\ue9bf'),
    LAUNDRY_11("maki2-laundry-11", '\ue9c0'),
    LAUNDRY_15("maki2-laundry-15", '\ue9c1'),
    LIBRARY_11("maki2-library-11", '\ue9c2'),
    LIBRARY_15("maki2-library-15", '\ue9c3'),
    LIGHTHOUSE_11("maki2-lighthouse-11", '\ue9c4'),
    LIGHTHOUSE_15("maki2-lighthouse-15", '\ue9c5'),
    LODGING_11("maki2-lodging-11", '\ue9c6'),
    LODGING_15("maki2-lodging-15", '\ue9c7'),
    LOGGING_11("maki2-logging-11", '\ue9c8'),
    LOGGING_15("maki2-logging-15", '\ue9c9'),
    MARKER_11("maki2-marker-11", '\ue9ca'),
    MARKER_15("maki2-marker-15", '\ue9cb'),
    MARKER_STROKED_11("maki2-marker-stroked-11", '\ue9cc'),
    MARKER_STROKED_15("maki2-marker-stroked-15", '\ue9cd'),
    MOBILE_PHONE_11("maki2-mobile-phone-11", '\ue9ce'),
    MOBILE_PHONE_15("maki2-mobile-phone-15", '\ue9cf'),
    MONUMENT_11("maki2-monument-11", '\ue9d0'),
    MONUMENT_15("maki2-monument-15", '\ue9d1'),
    MOUNTAIN_11("maki2-mountain-11", '\ue9d2'),
    MOUNTAIN_15("maki2-mountain-15", '\ue9d3'),
    MUSEUM_11("maki2-museum-11", '\ue9d4'),
    MUSEUM_15("maki2-museum-15", '\ue9d5'),
    MUSIC_11("maki2-music-11", '\ue9d6'),
    MUSIC_15("maki2-music-15", '\ue9d7'),
    NATURAL_11("maki2-natural-11", '\ue9d8'),
    NATURAL_15("maki2-natural-15", '\ue9d9'),
    OPTICIAN_11("maki2-optician-11", '\ue9da'),
    OPTICIAN_15("maki2-optician-15", '\ue9db'),
    PAINT_11("maki2-paint-11", '\ue9dc'),
    PAINT_15("maki2-paint-15", '\ue9dd'),
    PARKING_11("maki2-parking-11", '\ue9e2'),
    PARKING_15("maki2-parking-15", '\ue9e3'),
    PARKING_GARAGE_11("maki2-parking-garage-11", '\ue9e4'),
    PARKING_GARAGE_15("maki2-parking-garage-15", '\ue9e5'),
    PARK_11("maki2-park-11", '\ue9de'),
    PARK_15("maki2-park-15", '\ue9df'),
    PARK_ALT1_11("maki2-park-alt1-11", '\ue9e0'),
    PARK_ALT1_15("maki2-park-alt1-15", '\ue9e1'),
    PHARMACY_11("maki2-pharmacy-11", '\ue9e6'),
    PHARMACY_15("maki2-pharmacy-15", '\ue9e7'),
    PICNIC_SITE_11("maki2-picnic-site-11", '\ue9e8'),
    PICNIC_SITE_15("maki2-picnic-site-15", '\ue9e9'),
    PITCH_11("maki2-pitch-11", '\ue9ea'),
    PITCH_15("maki2-pitch-15", '\ue9eb'),
    PLACE_OF_WORSHIP_11("maki2-place-of-worship-11", '\ue9ec'),
    PLACE_OF_WORSHIP_15("maki2-place-of-worship-15", '\ue9ed'),
    PLAYGROUND_11("maki2-playground-11", '\ue9ee'),
    PLAYGROUND_15("maki2-playground-15", '\ue9ef'),
    POLICE_11("maki2-police-11", '\ue9f0'),
    POLICE_15("maki2-police-15", '\ue9f1'),
    POLICE_JP_11("maki2-police-JP-11", '\ue9f2'),
    POLICE_JP_15("maki2-police-JP-15", '\ue9f3'),
    POST_11("maki2-post-11", '\ue9f4'),
    POST_15("maki2-post-15", '\ue9f5'),
    POST_JP_11("maki2-post-JP-11", '\ue9f6'),
    POST_JP_15("maki2-post-JP-15", '\ue9f7'),
    PRISON_11("maki2-prison-11", '\ue9f8'),
    PRISON_15("maki2-prison-15", '\ue9f9'),
    RAIL_11("maki2-rail-11", '\ue9fa'),
    RAIL_15("maki2-rail-15", '\ue9fb'),
    RAIL_LIGHT_11("maki2-rail-light-11", '\ue9fc'),
    RAIL_LIGHT_15("maki2-rail-light-15", '\ue9fd'),
    RAIL_METRO_11("maki2-rail-metro-11", '\ue9fe'),
    RAIL_METRO_15("maki2-rail-metro-15", '\ue9ff'),
    RANGER_STATION_11("maki2-ranger-station-11", '\uea00'),
    RANGER_STATION_15("maki2-ranger-station-15", '\uea01'),
    RECYCLING_11("maki2-recycling-11", '\uea02'),
    RECYCLING_15("maki2-recycling-15", '\uea03'),
    RELIGIOUS_BUDDHIST_11("maki2-religious-buddhist-11", '\uea04'),
    RELIGIOUS_BUDDHIST_15("maki2-religious-buddhist-15", '\uea05'),
    RELIGIOUS_CHRISTIAN_11("maki2-religious-christian-11", '\uea06'),
    RELIGIOUS_CHRISTIAN_15("maki2-religious-christian-15", '\uea07'),
    RELIGIOUS_JEWISH_11("maki2-religious-jewish-11", '\uea08'),
    RELIGIOUS_JEWISH_15("maki2-religious-jewish-15", '\uea09'),
    RELIGIOUS_MUSLIM_11("maki2-religious-muslim-11", '\uea0a'),
    RELIGIOUS_MUSLIM_15("maki2-religious-muslim-15", '\uea0b'),
    RELIGIOUS_SHINTO_11("maki2-religious-shinto-11", '\uea0c'),
    RELIGIOUS_SHINTO_15("maki2-religious-shinto-15", '\uea0d'),
    RESIDENTIAL_COMMUNITY_11("maki2-residential-community-11", '\uea0e'),
    RESIDENTIAL_COMMUNITY_15("maki2-residential-community-15", '\uea0f'),
    RESTAURANT_11("maki2-restaurant-11", '\uea10'),
    RESTAURANT_15("maki2-restaurant-15", '\uea11'),
    RESTAURANT_NOODLE_11("maki2-restaurant-noodle-11", '\uea12'),
    RESTAURANT_NOODLE_15("maki2-restaurant-noodle-15", '\uea13'),
    RESTAURANT_PIZZA_11("maki2-restaurant-pizza-11", '\uea14'),
    RESTAURANT_PIZZA_15("maki2-restaurant-pizza-15", '\uea15'),
    RESTAURANT_SEAFOOD_11("maki2-restaurant-seafood-11", '\uea16'),
    RESTAURANT_SEAFOOD_15("maki2-restaurant-seafood-15", '\uea17'),
    ROADBLOCK_11("maki2-roadblock-11", '\uea18'),
    ROADBLOCK_15("maki2-roadblock-15", '\uea19'),
    ROCKET_11("maki2-rocket-11", '\uea1a'),
    ROCKET_15("maki2-rocket-15", '\uea1b'),
    SCHOOL_11("maki2-school-11", '\uea1c'),
    SCHOOL_15("maki2-school-15", '\uea1d'),
    SCHOOL_JP_11("maki2-school-JP-11", '\uea1e'),
    SCHOOL_JP_15("maki2-school-JP-15", '\uea1f'),
    SCOOTER_11("maki2-scooter-11", '\uea20'),
    SCOOTER_15("maki2-scooter-15", '\uea21'),
    SHELTER_11("maki2-shelter-11", '\uea22'),
    SHELTER_15("maki2-shelter-15", '\uea23'),
    SHOE_11("maki2-shoe-11", '\uea24'),
    SHOE_15("maki2-shoe-15", '\uea25'),
    SHOP_11("maki2-shop-11", '\uea26'),
    SHOP_15("maki2-shop-15", '\uea27'),
    SKATEBOARD_11("maki2-skateboard-11", '\uea28'),
    SKATEBOARD_15("maki2-skateboard-15", '\uea29'),
    SKIING_11("maki2-skiing-11", '\uea2a'),
    SKIING_15("maki2-skiing-15", '\uea2b'),
    SLAUGHTERHOUSE_11("maki2-slaughterhouse-11", '\uea2c'),
    SLAUGHTERHOUSE_15("maki2-slaughterhouse-15", '\uea2d'),
    SLIPWAY_11("maki2-slipway-11", '\uea2e'),
    SLIPWAY_15("maki2-slipway-15", '\uea2f'),
    SNOWMOBILE_11("maki2-snowmobile-11", '\uea30'),
    SNOWMOBILE_15("maki2-snowmobile-15", '\uea31'),
    SOCCER_11("maki2-soccer-11", '\uea32'),
    SOCCER_15("maki2-soccer-15", '\uea33'),
    SQUARE_11("maki2-square-11", '\uea34'),
    SQUARE_15("maki2-square-15", '\uea35'),
    SQUARE_STROKED_11("maki2-square-stroked-11", '\uea36'),
    SQUARE_STROKED_15("maki2-square-stroked-15", '\uea37'),
    STADIUM_11("maki2-stadium-11", '\uea38'),
    STADIUM_15("maki2-stadium-15", '\uea39'),
    STAR_11("maki2-star-11", '\uea3a'),
    STAR_15("maki2-star-15", '\uea3b'),
    STAR_STROKED_11("maki2-star-stroked-11", '\uea3c'),
    STAR_STROKED_15("maki2-star-stroked-15", '\uea3d'),
    SUITCASE_11("maki2-suitcase-11", '\uea3e'),
    SUITCASE_15("maki2-suitcase-15", '\uea3f'),
    SUSHI_11("maki2-sushi-11", '\uea40'),
    SUSHI_15("maki2-sushi-15", '\uea41'),
    SWIMMING_11("maki2-swimming-11", '\uea42'),
    SWIMMING_15("maki2-swimming-15", '\uea43'),
    TABLE_TENNIS_11("maki2-table-tennis-11", '\uea44'),
    TABLE_TENNIS_15("maki2-table-tennis-15", '\uea45'),
    TEAHOUSE_11("maki2-teahouse-11", '\uea46'),
    TEAHOUSE_15("maki2-teahouse-15", '\uea47'),
    TELEPHONE_11("maki2-telephone-11", '\uea48'),
    TELEPHONE_15("maki2-telephone-15", '\uea49'),
    TENNIS_11("maki2-tennis-11", '\uea4a'),
    TENNIS_15("maki2-tennis-15", '\uea4b'),
    THEATRE_11("maki2-theatre-11", '\uea4c'),
    THEATRE_15("maki2-theatre-15", '\uea4d'),
    TOILET_11("maki2-toilet-11", '\uea4e'),
    TOILET_15("maki2-toilet-15", '\uea4f'),
    TOWN_11("maki2-town-11", '\uea50'),
    TOWN_15("maki2-town-15", '\uea51'),
    TOWN_HALL_11("maki2-town-hall-11", '\uea52'),
    TOWN_HALL_15("maki2-town-hall-15", '\uea53'),
    TRIANGLE_11("maki2-triangle-11", '\uea54'),
    TRIANGLE_15("maki2-triangle-15", '\uea55'),
    TRIANGLE_STROKED_11("maki2-triangle-stroked-11", '\uea56'),
    TRIANGLE_STROKED_15("maki2-triangle-stroked-15", '\uea57'),
    VETERINARY_11("maki2-veterinary-11", '\uea58'),
    VETERINARY_15("maki2-veterinary-15", '\uea59'),
    VIEWPOINT_11("maki2-viewpoint-11", '\uea5a'),
    VIEWPOINT_15("maki2-viewpoint-15", '\uea5b'),
    VILLAGE_11("maki2-village-11", '\uea5c'),
    VILLAGE_15("maki2-village-15", '\uea5d'),
    VOLCANO_11("maki2-volcano-11", '\uea5e'),
    VOLCANO_15("maki2-volcano-15", '\uea5f'),
    VOLLEYBALL_11("maki2-volleyball-11", '\uea60'),
    VOLLEYBALL_15("maki2-volleyball-15", '\uea61'),
    WAREHOUSE_11("maki2-warehouse-11", '\uea62'),
    WAREHOUSE_15("maki2-warehouse-15", '\uea63'),
    WASTE_BASKET_11("maki2-waste-basket-11", '\uea64'),
    WASTE_BASKET_15("maki2-waste-basket-15", '\uea65'),
    WATCH_11("maki2-watch-11", '\uea66'),
    WATCH_15("maki2-watch-15", '\uea67'),
    WATERFALL_11("maki2-waterfall-11", '\uea6a'),
    WATERFALL_15("maki2-waterfall-15", '\uea6b'),
    WATERMILL_11("maki2-watermill-11", '\uea6c'),
    WATERMILL_15("maki2-watermill-15", '\uea6d'),
    WATER_11("maki2-water-11", '\uea68'),
    WATER_15("maki2-water-15", '\uea69'),
    WETLAND_11("maki2-wetland-11", '\uea6e'),
    WETLAND_15("maki2-wetland-15", '\uea6f'),
    WHEELCHAIR_11("maki2-wheelchair-11", '\uea70'),
    WHEELCHAIR_15("maki2-wheelchair-15", '\uea71'),
    WINDMILL_11("maki2-windmill-11", '\uea72'),
    WINDMILL_15("maki2-windmill-15", '\uea73'),
    ZOO_11("maki2-zoo-11", '\uea74'),
    ZOO_15("maki2-zoo-15", '\uea75');

    public static Maki2 findByDescription(String description) {
        for (Maki2 font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    Maki2(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}